function buttonsaveBLA(hObject, eventdata, Empty_Button, Buttons, ZerolineText)
data = get(Empty_Button,'UserData');

Draw = data.D;
D = data.Dadjust;
x = data.x;
t = data.t;

baselinetargets = data.xbd;

uisave({'Draw','D','x','t','baselinetargets'},[data.PathName,'results_facpack_BLA_',data.FileName]);
